<div class="swag-guided-shopping-appointment-emails-container">
    <div class="swag-guided-shopping-appointment-email-header-bar">
        <span class="swag-guided-shopping-appointment-email-list-summary">
            {{ $tc('swag-guided-shopping-appointment.base.attendees.invited', 0, { number: `${attendees.length}` }) }}
        </span>
    </div>
    <p class="swag-guided-shopping-appointment-email-list-status">
        {{ displayStatusList() }}
    </p>

    <ul class="swag-guided-shopping-appointment-email-list-items">
        <li v-for="(attendee, index) in visibleValues"
            :key="`sw-email-list-item-${index}`"
            name="sw-email-list-item"
            class="swag-guided-shopping-appointment-email-list-item"
            @mouseenter="showDetailPopup(attendee.attendeeEmail)"
            @mouseleave="showDetailPopup(false)"
        >
            <span class="swag-guided-shopping-appointment-email-list-item__status" :class="attendee.invitationStatus"/>
            <span class="swag-guided-shopping-appointment-email-list-item__caption">
                {{ attendee.attendeeEmail }}
            </span>

            <div v-show="isShowDetailPopup === attendee.attendeeEmail" class="swag-guided-shopping-appointment-popup-container">
                <div class="swag-guided-shopping-appointment-popup__info">
                    <div class="swag-guided-shopping-appointment-popup__mail">
                        {{ attendee.attendeeEmail }}
                    </div>
                    <sw-status :color="generateColor(attendee.invitationStatus)">
                        {{ generateStatusText(attendee.invitationStatus) }}
                    </sw-status>
                </div>
                <a @click.prevent="onCancelAppointment(attendee)">
                    {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonCancelAppointment') }}
                    <sw-icon
                        name="regular-long-arrow-right"
                        small
                    />
                </a>
            </div>
        </li>
        <sw-button class="swag-guided-shopping-appointment-email-show-more" v-show="limit < attendees.length" @click="onShowMore">
            {{$tc('swag-guided-shopping-appointment.base.attendees.showMore')}}
        </sw-button>
    </ul>
</div>
